Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1905678

Summary: autoconf-2.71 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: autoconfAssignee: Patrik Novotný <panovotn>
Status: POST --- QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: i18n-bugs, jjanco, karsten, kasal, law, mhroncok, odubaj, panovotn, praiskup, tfujiwar, vondruch
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
[patch] Update to 2.71 (#1905678) none

Description Upstream Release Monitoring 2020-12-08 19:46:23 UTC
Latest upstream release: 2.70
Current version/release in rawhide: 2.69-34.fc33
URL: http://www.gnu.org/software/autoconf/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/141/

Comment 1 Upstream Release Monitoring 2020-12-08 19:46:32 UTC
An HTTP error occurred downloading the package's new Source URLs: Getting http://ftpmirror.gnu.org/autoconf/autoconf-2.70.tar.xz to ./autoconf-2.70.tar.xz

Comment 2 Fedora Update System 2020-12-09 08:59:11 UTC
FEDORA-2020-457325b654 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-457325b654

Comment 3 Miro Hrončok 2020-12-09 09:40:17 UTC
So, this breaks many packages including Python:

https://koschei.fedoraproject.org/affected-by/autoconf?epoch1=0&version1=2.69&release1=34.fc33&epoch2=0&version2=2.70&release2=1.fc34&collection=f34

+ autoconf
Can't locate File/Compare.pm in @INC (you may need to install the File::Compare module) (@INC contains: /usr/share/autoconf /usr/local/lib64/perl5/5.32 /usr/local/share/perl5/5.32 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at /usr/share/autoconf/Autom4te/FileUtils.pm line 142.
BEGIN failed--compilation aborted at /usr/share/autoconf/Autom4te/FileUtils.pm line 142.
Compilation failed in require at /usr/bin/autom4te line 46.
BEGIN failed--compilation aborted at /usr/bin/autom4te line 46.

Comment 4 Pavel Raiskup 2020-12-09 09:47:32 UTC
2.69 => 2.70 is huge step forward.  I'd even suggest testing this in Copr first
(build 2.70 and rebuild all packages that depend on libtool/automake/autoconf
against that)

Comment 5 Ondrej Dubaj 2020-12-09 09:49:33 UTC
Understand, sorry for the problems. Working immeadiately on untaging the build safely from rawhide.

Comment 6 Miro Hrončok 2020-12-09 09:53:58 UTC
> Working immeadiately on untaging the build safely from rawhide.

Thanks.

Comment 7 Ondrej Dubaj 2020-12-09 10:03:44 UTC
According to the documentation https://fedoraproject.org/wiki/Package_maintenance_guide#Removing_a_package_build_pending_for_Rawhide_or_Branched

I am experiencing some issues with permissions

$ koji untag-pkg f34 autoconf-2.70-1.fc34
2020-12-09 10:58:13,217 [ERROR] koji: ActionNotAllowed: tag requires autosign permission

Comment 8 Miro Hrončok 2020-12-09 10:30:07 UTC
This gas been untagged via https://pagure.io/releng/issue/9895

Comment 9 Vít Ondruch 2020-12-15 11:01:29 UTC
(In reply to Pavel Raiskup from comment #4)
> 2.69 => 2.70 is huge step forward.  I'd even suggest testing this in Copr
> first
> (build 2.70 and rebuild all packages that depend on libtool/automake/autoconf
> against that)

It might deserve change proposal?

https://docs.fedoraproject.org/en-US/program_management/changes_policy/

Comment 10 Upstream Release Monitoring 2021-01-28 23:24:37 UTC
Latest upstream release: 2.71
Current version/release in rawhide: 2.69-35.fc34
URL: http://www.gnu.org/software/autoconf/

Please consult the package updates policy before you issue an update to a stable branch: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/


More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring


Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.


Based on the information from anitya: https://release-monitoring.org/project/141/

Comment 11 Upstream Release Monitoring 2021-01-28 23:24:41 UTC
Created attachment 1751887 [details]
[patch] Update to 2.71 (#1905678)

Comment 12 Upstream Release Monitoring 2021-01-29 10:32:20 UTC
the-new-hotness/release-monitoring.org's scratch build of autoconf-2.71-1.fc32.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=60775815

Comment 13 Jeff Law 2021-02-01 15:31:30 UTC
Just a note.  I've got a way we can do widespread testing of an autoconf upgrade.

In particular I have a Jenkins builder which knows about all the binary packages in Fedora.  It also has the ability to inject a priority repo into the build process to override packages from the standard buildroot.

The jobs are set up to do a package build with and without the priority repo and save the generated config.h files from both builds.  If both package builds pass and the generated config.h files are identical, then the job is considered successful otherwise it's a failure and can be investigated.

This was used to evaluate the effects of LTO on F33, including capturing issues with LTO optimizing away poorly written autoconf tests.  We've also used it extensively to find potential problems with compiler updates in Fedora.

If you'd like me to run a build with a autoconf candidate, don't hesitate to reach out.

Comment 14 Ondrej Dubaj 2021-02-02 06:56:10 UTC
Jeff,

thanks for your note. Testing with your Jenkins builder will be awesome. Currently we are testing package build using copr and rebuilding all dependent packages (https://copr.fedorainfracloud.org/coprs/odubaj/autoconf-2.70/). This seems to be a great opportunity to validate if the new version of autoconf didn't break anything. What do you need from me to run the Jenkins build ?

Thanks!

Comment 15 Ondrej Dubaj 2021-02-02 07:23:53 UTC
build available here: https://koji.fedoraproject.org/koji/taskinfo?taskID=61096508

Comment 16 Ondrej Dubaj 2021-02-10 12:15:29 UTC
Change proposal:

https://fedoraproject.org/wiki/Changes/Autoconf_271

Comment 17 Jeff Law 2021-02-10 17:57:49 UTC
So I think a reasonable plan for testing would be to start the builder next week with the autoconf build referenced above.  I'll pass along a URL for the jenkins instance once things are spinning.

Comment 18 Ondrej Dubaj 2021-02-11 06:57:51 UTC
Great, thank you very much.

Comment 19 Ondrej Dubaj 2021-03-19 07:47:40 UTC
Rebase prepared in PR:

https://src.fedoraproject.org/rpms/autoconf/pull-request/8#

Comment 20 Ondrej Dubaj 2021-03-19 08:11:35 UTC
Compat package for autoconf-2.69 prepared below:

for non-paralell instalation with autoconf-2.71:

https://src.fedoraproject.org/rpms/autoconf/pull-request/9#

for paralell instalation with autoconf-2.71:

https://src.fedoraproject.org/rpms/autoconf/pull-request/10

Comment 21 Fedora Admin user for bugzilla script actions 2022-06-30 13:21:25 UTC
This package has changed maintainer in Fedora. Reassigning to the new maintainer of this component.